Cannot load workspace

  1. CodeMix & Angular IDE > Webclipse 1.x Help

This topic contains 2 replies, has 2 voices, and was last updated by 1 year, 11 months ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #593764 Reply

    jwismer
    Participant

    I updated Java recently, and it seems to have messed up Angular IDE. I’ve uninstalled and reinstalled Angular IDE, and whether I go to a new or old workspace, I get a popup box directing me towards the logs.

    Log is attached. My angular ide version is the standalone. I downloaded eclipse IDE and tried to download angular IDE through the marketplace, but got this:

    An error occurred while collecting items to be installed
    session context was:(profile=C__Users_jwismer_eclipse_javascript-photon_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
    Unable to read repository at http://downloads.genuitec.com/downloads/products/webclipse/updates/wc2017ci12a/plugins/com.genuitec.eclipse.typescript_2.5.3.201805281106.jar.
    Read timed out

    At 50% of the download as well. Perhaps an unrelated issue, but I figured your guys might want to know there’s a problem there as well.

    Attachments:
    You must be logged in to view attached files.
    #593766 Reply

    jwismer
    Participant

    After trying a few more things, I narrowed it down to upgrading to Java 10. After reverting to Java 8, the issue disappeared.

    #593820 Reply

    support-swapna
    Moderator

    jwismer,

    Glad that you figured it out. Angular IDE is currently based on Eclipse Neon which requires Java 8 but does not support java 9 or 10. The dev team is working on a fix to detect unsupported (newer) versions and automatically set java.

    Apologies for inconvenience caused. Please let us know if you see any other issues.

    –Swapna
    Genuitec Support

Viewing 3 posts - 1 through 3 (of 3 total)
Reply To: Cannot load workspace

You must be logged in to post in the forum log in